from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XRangeSelection(XInterface, Protocol):
    def startRangeSelection(self, aArguments: PropertyValue>) -> None: ...
    def abortRangeSelection(self) -> None: ...
    def addRangeSelectionListener(self, aListener: XRangeSelectionListener) -> None: ...
    def removeRangeSelectionListener(self, aListener: XRangeSelectionListener) -> None: ...
    def addRangeSelectionChangeListener(self, aListener: XRangeSelectionChangeListener) -> None: ...
    def removeRangeSelectionChangeListener(self, aListener: XRangeSelectionChangeListener) -> None: ...
